Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Gain root remotely >> lpd, dvips and remote command execution


Vulnerability Assessment Details

lpd, dvips and remote command execution

Vulnerability Assessment Summary
Executes 'ping' on the remote host

Detailed Explanation for this Vulnerability Assessment

The remote lpd server calls dvips in insecure mode.
A possible hacker may use this flaw to execute arbitrary
commands remotely on this host.

Solution : edit the file
/usr/lib/rhs/rhs-printfilters/dvi-to-ps.fpi

and change the linethat specifies how 'dvips' is
to be executed from :
dvips -f $DVIPS_OPTIONS < $TMP_FILE
to
dvips -R -f $DVIPS_OPTIONS < $TMP_FILE

Network Security Threat Level: High

Networks Security ID: 3241

Vulnerability Assessment Copyright: This script is Copyright (C) 2002 Renaud Deraison

Cables, Connectors

Dell Y210M-A00 AFC1212DE Rear Case Fan PowerEdge T310 Server D380M Y210M 0Y210M
$9.0
Dell Y210M-A00 AFC1212DE Rear Case Fan PowerEdge T310 Server D380M Y210M 0Y210M pictureDELL 2950 SERVER 2 x E5440 2.83Ghz **32GB RAM ** 4X 300GB SAS
$299.14
DELL 2950 SERVER 2 x E5440 2.83Ghz **32GB RAM ** 4X 300GB SAS picture208GB (13x 16GB) PC3-8500R ECC Reg Dell Certified Server Memory RAM PowerEdge
$475.95
208GB (13x 16GB) PC3-8500R ECC Reg Dell Certified Server Memory RAM PowerEdge  picture


Discussions

No Discussions have been posted on this vulnerability.